pub struct HistoryResponse {
pub history: Vec<Bar>,
pub next: Option<i64>,
pub prev: Option<i64>,
}Expand description
The answer of GET /md/v2/history: candles and the Unix times of the neighbouring pages.
Fields§
§history: Vec<Bar>The candles, oldest first.
next: Option<i64>Time of the next candle after the range, if there is one.
prev: Option<i64>Time of the candle before the range, if there is one.
Trait Implementations§
Source§impl Clone for HistoryResponse
impl Clone for HistoryResponse
Source§fn clone(&self) -> HistoryResponse
fn clone(&self) -> HistoryResponse
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for HistoryResponse
impl Debug for HistoryResponse
Source§impl Default for HistoryResponse
impl Default for HistoryResponse
Source§fn default() -> HistoryResponse
fn default() -> HistoryResponse
Returns the “default value” for a type. Read more
Source§impl<'de> Deserialize<'de> for HistoryResponse
impl<'de> Deserialize<'de> for HistoryResponse
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for HistoryResponse
impl RefUnwindSafe for HistoryResponse
impl Send for HistoryResponse
impl Sync for HistoryResponse
impl Unpin for HistoryResponse
impl UnsafeUnpin for HistoryResponse
impl UnwindSafe for HistoryResponse
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more